### Signal

# EDataBook DataBookView::objects-added

since: 3.50

#### Declaration

    void
    objects_added (
      EDataBookView* self,
      char** vcards,
      gpointer user_data
    )

#### Description [src]

Emitted when new objects are added into the `view`.

Note: This signal is used only when the view has set `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY` flag.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.50

#### Parameters

`vcards`

  Type: An array of `utf8`

  Array of vCards as string.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.